View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000640Ecere SDKecerepublic2011-09-18 17:092014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000640: OpenGL fonts and non-squared textures use
DescriptionOpenGL fonts and non-squared textures use
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001303)
jerome (administrator)
2014-05-20 22:30

This has been solved, non-mipmaps textures are no longer restricted to have one dimension at most 2x bigger than the other, and power of 2 textures are enforced only if GL_ARB_texture_non_power_of_two is not supported.

Fixed by:

https://github.com/ecere/ecere-sdk/commit/1d0dfa4f555c7d66747f720de8e3d655981d4610 [^]

- Issue History
Date Modified Username Field Change
2011-09-18 17:09 jerome New Issue
2012-03-08 15:44 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2013-04-27 21:25 jerome Target Version 0.44.8 Silver => 0.44.6 Dock
2014-05-20 22:27 jerome Assigned To => jerome
2014-05-20 22:27 jerome Status new => assigned
2014-05-20 22:27 jerome Target Version 0.44.60 Dock => 0.44.10 64
2014-05-20 22:30 jerome Status assigned => resolved
2014-05-20 22:30 jerome Fixed in Version => 0.44.10 64
2014-05-20 22:30 jerome Resolution open => fixed
2014-05-20 22:30 jerome Note Added: 0001303
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker